Bug 145089 - uses source port 53/udp instead of high ports to query
uses source port 53/udp instead of high ports to query
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 04:20 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 14:38:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2005-01-14 04:20:20 EST
Description of problem:
The configuration NetworkManager creates for named forces the source
port for name service queries to 53/udp. This does not work with
braindead firewall people who believe 53/udp is only used for name
servers (not clients), this isn't a problem when using glibc as it
uses high ports as any other unprivileged application would. It would
be better if query-source was set to "query-source address * port *;"

Version-Release number of selected component (if applicable):
NetworkManager-0.3.3-1.cvs20050112.3.i386

How reproducible:
Always
Comment 1 Dan Williams 2005-01-14 09:38:05 EST
Over to Colin...
Comment 2 Colin Walters 2005-01-24 14:38:36 EST
FIxed in upstream CVS, thanks!

Note You need to log in before you can comment on or make changes to this bug.